ClarisWksTableInternal::Border Struct Reference

Internal: the border of a ClarisWksTable. More...

## Public Member Functions

| Border ()
| the constructor

## Public Attributes

MWAWVec2i | m_position [2]
| the origin and the end of edge position : unit librevenge::RVNG_POINT/256
int | m_styleId
| the style id
bool | m_isSent
| a flag to know if the border is already sent

## Friends

std::ostream & | operator<< (std::ostream &o, Border const &bord)
| operator<<

## Detailed Description

Internal: the border of a ClarisWksTable.

## Constructor & Destructor Documentation

## Border()

ClarisWksTableInternal::Border::Border | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Border const & | bord )

friend

operator<<

## Member Data Documentation

## m_isSent

bool ClarisWksTableInternal::Border::m_isSent

mutable

a flag to know if the border is already sent

Referenced by Border().

## m_position

MWAWVec2i ClarisWksTableInternal::Border::m_position[2]

the origin and the end of edge position : unit librevenge::RVNG_POINT/256

Referenced by operator<<, and ClarisWksTable::readTableBorders().

## m_styleId

int ClarisWksTableInternal::Border::m_styleId

the style id

Referenced by Border(), operator<<, and ClarisWksTable::readTableBorders().

The documentation for this struct was generated from the following file:

- ClarisWksTable.cxx